CUDNN Frontend API 8.3.0

Public Member Functions | Private Types | Private Attributes | Static Private Attributes | Friends | List of all members
nlohmann::detail::primitive_iterator_t Class Reference

`#include <json.hpp>`

Collaboration diagram for nlohmann::detail::primitive_iterator_t:

## Public Member Functions
constexpr difference_type | get_value () const noexcept
void | set_begin () noexcept
| set iterator to a defined beginning More...
void | set_end () noexcept
| set iterator to a defined past the end More...
constexpr bool | is_begin () const noexcept
| return whether the iterator can be dereferenced More...
constexpr bool | is_end () const noexcept
| return whether the iterator is at end More...
primitive_iterator_t | operator+ (difference_type n) noexcept
primitive_iterator_t & | operator++ () noexcept
primitive_iterator_t const | operator++ (int) noexcept
primitive_iterator_t & | operator-- () noexcept
primitive_iterator_t const | operator-- (int) noexcept
primitive_iterator_t & | operator+= (difference_type n) noexcept
primitive_iterator_t & | operator-= (difference_type n) noexcept

## Private Types
using | difference_type = std::ptrdiff_t

## Private Attributes
JSON_PRIVATE_UNLESS_TESTED | __pad0__: difference_type m_it = (std::numeric_limits<std::ptrdiff_t>::min)()

## Static Private Attributes
static constexpr difference_type | begin_value = 0
static constexpr difference_type | end_value = begin_value + 1

## Friends
constexpr bool | operator== (primitive_iterator_t lhs, primitive_iterator_t rhs) noexcept
constexpr bool | operator< (primitive_iterator_t lhs, primitive_iterator_t rhs) noexcept
constexpr difference_type | operator- (primitive_iterator_t lhs, primitive_iterator_t rhs) noexcept

## Detailed Description

Definition at line 11175 of file json.hpp.

## Member Typedef Documentation

## ◆ difference_type

using nlohmann::detail::primitive_iterator_t::difference_type = std::ptrdiff_t
| private

Definition at line 11178 of file json.hpp.

## Member Function Documentation

## ◆ get_value()

constexpr difference_type nlohmann::detail::primitive_iterator_t::get_value | ( |  | ) | const
| inlinenoexcept

Definition at line 11187 of file json.hpp.

## ◆ is_begin()

constexpr bool nlohmann::detail::primitive_iterator_t::is_begin | ( |  | ) | const
| inlinenoexcept

return whether the iterator can be dereferenced

Definition at line 11205 of file json.hpp.

## ◆ is_end()

constexpr bool nlohmann::detail::primitive_iterator_t::is_end | ( |  | ) | const
| inlinenoexcept

return whether the iterator is at end

Definition at line 11211 of file json.hpp.

## ◆ operator+()

primitive_iterator_t nlohmann::detail::primitive_iterator_t::operator+ | ( | difference_type | n | ) |
| inlinenoexcept

Definition at line 11226 of file json.hpp.

## ◆ operator++() [1/2]

primitive_iterator_t& nlohmann::detail::primitive_iterator_t::operator++ | ( |  | ) |
| inlinenoexcept

Definition at line 11238 of file json.hpp.

## ◆ operator++() [2/2]

primitive_iterator_t const nlohmann::detail::primitive_iterator_t::operator++ | ( | int |  | ) |
| inlinenoexcept

Definition at line 11244 of file json.hpp.

## ◆ operator+=()

primitive_iterator_t& nlohmann::detail::primitive_iterator_t::operator+= | ( | difference_type | n | ) |
| inlinenoexcept

Definition at line 11264 of file json.hpp.

## ◆ operator--() [1/2]

primitive_iterator_t& nlohmann::detail::primitive_iterator_t::operator-- | ( |  | ) |
| inlinenoexcept

Definition at line 11251 of file json.hpp.

## ◆ operator--() [2/2]

primitive_iterator_t const nlohmann::detail::primitive_iterator_t::operator-- | ( | int |  | ) |
| inlinenoexcept

Definition at line 11257 of file json.hpp.

## ◆ operator-=()

primitive_iterator_t& nlohmann::detail::primitive_iterator_t::operator-= | ( | difference_type | n | ) |
| inlinenoexcept

Definition at line 11270 of file json.hpp.

## ◆ set_begin()

void nlohmann::detail::primitive_iterator_t::set_begin | ( |  | ) |
| inlinenoexcept

set iterator to a defined beginning

Definition at line 11193 of file json.hpp.

## ◆ set_end()

void nlohmann::detail::primitive_iterator_t::set_end | ( |  | ) |
| inlinenoexcept

set iterator to a defined past the end

Definition at line 11199 of file json.hpp.

## Friends And Related Function Documentation

## ◆ operator-

constexpr difference_type operator- | ( | primitive_iterator_t | lhs,
|  | primitive_iterator_t | rhs
| ) |  |
| friend

Definition at line 11233 of file json.hpp.

## ◆ operator<

constexpr bool operator< | ( | primitive_iterator_t | lhs,
|  | primitive_iterator_t | rhs
| ) |  |
| friend

Definition at line 11221 of file json.hpp.

## ◆ operator==

constexpr bool operator== | ( | primitive_iterator_t | lhs,
|  | primitive_iterator_t | rhs
| ) |  |
| friend

Definition at line 11216 of file json.hpp.

## Member Data Documentation

## ◆ __pad0__

JSON_PRIVATE_UNLESS_TESTED nlohmann::detail::primitive_iterator_t::__pad0__
| private

Definition at line 11184 of file json.hpp.

## ◆ begin_value

constexpr difference_type nlohmann::detail::primitive_iterator_t::begin_value = 0
| staticprivate

Definition at line 11179 of file json.hpp.

## ◆ end_value

constexpr difference_type nlohmann::detail::primitive_iterator_t::end_value = begin_value + 1
| staticprivate

Definition at line 11180 of file json.hpp.

The documentation for this class was generated from the following file:

- json.hpp